#
# spec file for package python-sphinx-issues
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{!?license: %global license %doc}
%bcond_without test
Name:           python-sphinx-issues
Version:        0.3.1
Release:        lp151.2.2
Summary:        A Sphinx extension for linking to a project's issue tracker
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/sloria/sphinx-issues
Source:         https://files.pythonhosted.org/packages/source/s/sphinx-issues/sphinx-issues-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module Sphinx}
%endif
BuildRequires:  fdupes
Requires:       python-Sphinx
BuildArch:      noarch

%python_subpackages

%description
A Sphinx extension for linking to a project's issue tracker. It
includes roles for linking to issues as well as user profiles, with
built-in support for GitHub (though this works with other services).

%prep
%setup -q -n sphinx-issues-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun Aug 27 2017 jengelh@inai.de
- Update descriptions.
* Sat Aug 19 2017 sebix+novell.com@sebix.at
- initial package
